Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read_std.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read_std.F90	(revision 5143)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read_std.F90	(revision 5144)
@@ -427,196 +419,195 @@
     !-----------------------------------------------------------------------
 
-    do i=1,nbvar3d
-       missing_var(i)=0.
-       ierr=nf90_inq_varid(nid,name_var(i),var3didin(i))
-       PRINT*, 'name_var(i)', name_var(i), var3didin(i)
-       IF(ierr/=nf90_noerr) THEN
-          print *,'Variable manquante dans cas.nc:',i,name_var(i)
-          ierr=nf90_noerr
-          missing_var(i)=1
-       else
+    do i = 1, nbvar3d
+      missing_var(i) = 0.
+      ierr = nf90_inq_varid(nid, name_var(i), var3didin(i))
+      PRINT*, 'name_var(i)', name_var(i), var3didin(i)
+      IF(ierr/=nf90_noerr) THEN
+        print *, 'Variable manquante dans cas.nc:', i, name_var(i)
+        ierr = nf90_noerr
+        missing_var(i) = 1
+      else
+
+        !-----------------------------------------------------------------------
+        ! Activating keys depending on the presence of specific variables in cas.nc
+        !-----------------------------------------------------------------------
+        IF (1 == 1) THEN
+          ! A MODIFIER: il faudrait dire nudging_temp mais faut le declarer dans compar1d.h etc...
+          !           if ( name_var(i) == 'temp_nudging' .AND. nint(nudging_t)==0) stop 'Nudging inconsistency temp'
+          IF (name_var(i) == 'qv_nud' .AND. nint(nudging_qv)==0) stop 'Nudging inconsistency qv'
+          IF (name_var(i) == 'ua_nud' .AND. nint(nudging_u)==0) stop 'Nudging inconsistency u'
+          IF (name_var(i) == 'va_nud' .AND. nint(nudging_v)==0) stop 'Nudging inconsistency v'
+        ELSE
+          PRINT*, 'GUIDAGE : CONSISTENCY CHECK DEACTIVATED FOR TESTS of SANDU/REF'
+        ENDIF
+
+        !-----------------------------------------------------------------------
+        ! Reading variables 1D (N+1) vertical variables (nlevelp1,lat,lon)
+        !-----------------------------------------------------------------------
+        IF(i<=4) THEN
+          ierr = nf90_get_var(nid, var3didin(i), apbp)
+          print *, 'read_SCM(apbp), on a lu ', i, name_var(i)
+          IF(ierr/=nf90_noerr) THEN
+            print *, 'B Pb a la lecture de cas.nc: ', name_var(i)
+            stop "getvarup"
+          endif
 
           !-----------------------------------------------------------------------
-          ! Activating keys depending on the presence of specific variables in cas.nc
+          !  Reading 1D (N) vertical varialbes    (nlevel,lat,lon)
           !-----------------------------------------------------------------------
-          IF ( 1 == 1 ) THEN
-             ! A MODIFIER: il faudrait dire nudging_temp mais faut le declarer dans compar1d.h etc...        
-             !           if ( name_var(i) == 'temp_nudging' .AND. nint(nudging_t)==0) stop 'Nudging inconsistency temp'
-             IF ( name_var(i) == 'qv_nud' .AND. nint(nudging_qv)==0) stop 'Nudging inconsistency qv'
-             IF ( name_var(i) == 'ua_nud' .AND. nint(nudging_u)==0) stop 'Nudging inconsistency u'
-             IF ( name_var(i) == 'va_nud' .AND. nint(nudging_v)==0) stop 'Nudging inconsistency v'
-          ELSE
-             PRINT*,'GUIDAGE : CONSISTENCY CHECK DEACTIVATED FOR TESTS of SANDU/REF'
-          ENDIF
+        else IF(i>4.AND.i<=12) THEN
+          ierr = nf90_get_var(nid, var3didin(i), resul1)
+          print *, 'read_SCM(resul1), on a lu ', i, name_var(i)
+          IF(ierr/=nf90_noerr) THEN
+            print *, 'C Pb a la lecture de cas.nc: ', name_var(i)
+            stop "getvarup"
+          endif
+          PRINT*, 'Lecture de la variable #i ', i, name_var(i), minval(resul1), maxval(resul1)
 
           !-----------------------------------------------------------------------
-          ! Reading variables 1D (N+1) vertical variables (nlevelp1,lat,lon)
+          !  Reading 2D tim-vertical variables  (time,nlevel,lat,lon)
+          !  TBD : seems to be the same as above.
           !-----------------------------------------------------------------------
-          IF(i<=4) THEN
-             ierr = nf90_get_var(nid,var3didin(i),apbp)
-             print *,'read_SCM(apbp), on a lu ',i,name_var(i)
-             IF(ierr/=nf90_noerr) THEN
-                print *,'B Pb a la lecture de cas.nc: ',name_var(i)
-                stop "getvarup"
-             endif
-
-             !-----------------------------------------------------------------------
-             !  Reading 1D (N) vertical varialbes    (nlevel,lat,lon)   
-             !-----------------------------------------------------------------------
-          else IF(i>4.AND.i<=12) THEN
-             ierr = nf90_get_var(nid,var3didin(i),resul1)
-             print *,'read_SCM(resul1), on a lu ',i,name_var(i)
-             IF(ierr/=nf90_noerr) THEN
-                print *,'C Pb a la lecture de cas.nc: ',name_var(i)
-                stop "getvarup"
-             endif
-             PRINT*,'Lecture de la variable #i ',i,name_var(i),minval(resul1),maxval(resul1)
-
-             !-----------------------------------------------------------------------
-             !  Reading 2D tim-vertical variables  (time,nlevel,lat,lon)
-             !  TBD : seems to be the same as above.
-             !-----------------------------------------------------------------------
-          else IF(i>12.AND.i<=61) THEN
-             ierr = nf90_get_var(nid,var3didin(i),resul)
-             print *,'read_SCM(resul), on a lu ',i,name_var(i)
-             IF(ierr/=nf90_noerr) THEN
-                print *,'D Pb a la lecture de cas.nc: ',name_var(i)
-                stop "getvarup"
-             endif
-             PRINT*,'Lecture de la variable #i ',i,name_var(i),minval(resul),maxval(resul)
-
-             !-----------------------------------------------------------------------
-             !  Reading 1D time variables (time,lat,lon)
-             !-----------------------------------------------------------------------
-          ELSE IF (i>62.AND.i<=75) THEN
-             ierr = nf90_get_var(nid,var3didin(i),resul2)
-             print *,'read_SCM(resul2), on a lu ',i,name_var(i)
-             IF(ierr/=nf90_noerr) THEN
-                print *,'E Pb a la lecture de cas.nc: ',name_var(i)
-                stop "getvarup"
-             endif
-             PRINT*,'Lecture de la variable #i  ',i,name_var(i),minval(resul2),maxval(resul2)
-
-             !-----------------------------------------------------------------------
-             ! Reading scalar variables (lat,lon)
-             !-----------------------------------------------------------------------
-          else
-             ierr = nf90_get_var(nid,var3didin(i),resul3)
-             print *,'read_SCM(resul3), on a lu ',i,name_var(i)
-             IF(ierr/=nf90_noerr) THEN
-                print *,'F Pb a la lecture de cas.nc: ',name_var(i)
-                stop "getvarup"
-             endif
-             PRINT*,'Lecture de la variable #i ',i,name_var(i),resul3
+        else IF(i>12.AND.i<=61) THEN
+          ierr = nf90_get_var(nid, var3didin(i), resul)
+          print *, 'read_SCM(resul), on a lu ', i, name_var(i)
+          IF(ierr/=nf90_noerr) THEN
+            print *, 'D Pb a la lecture de cas.nc: ', name_var(i)
+            stop "getvarup"
           endif
-       endif
-
-       !-----------------------------------------------------------------------
-       ! Attributing variables
-       !-----------------------------------------------------------------------
-       select case(i)
-          !case(1) ; ap=apbp       ! donnees indexees en nlevel+1
-          ! case(2) ; bp=apbp
-       case(3) ; zzh=apbp
-       case(4) ; pph=apbp
-       case(5) ; temp0=resul1    ! donnees initiales
-       case(6) ; qv0=resul1
-       case(7) ; ql0=resul1
-       case(8) ; qi0=resul1
-       case(9) ; u0=resul1
-       case(10) ; v0=resul1
-       case(11) ; tke0=resul1
-       case(12) ; pp0=resul1
-       case(13) ; vitw=resul    ! donnees indexees en nlevel,time
-       case(14) ; omega=resul
-       case(15) ; ug=resul
-       case(16) ; vg=resul
-       case(17) ; du=resul
-       case(18) ; hu=resul
-       case(19) ; vu=resul
-       case(20) ; dv=resul
-       case(21) ; hv=resul
-       case(22) ; vv=resul
-       case(23) ; dt=resul
-       case(24) ; ht=resul
-       case(25) ; vt=resul
-       case(26) ; dq=resul
-       case(27) ; hq=resul
-       case(28) ; vq=resul
-       case(29) ; dth=resul
-       case(30) ; hth=resul
-       case(31) ; vth=resul
-       case(32) ; hthl=resul
-       case(33) ; dr=resul
-       case(34) ; hr=resul
-       case(35) ; vr=resul
-       case(36) ; dtrad=resul
-       case(37) ; q1=resul
-       case(38) ; q2=resul
-       case(39) ; uw=resul
-       case(40) ; vw=resul
-       case(41) ; rh=resul
-       case(42) ; temp_nudg=resul
-       case(43) ; qv_nudg=resul
-       case(44) ; u_nudg=resul
-       case(45) ; v_nudg=resul
-       case(46) ; zz=resul      ! donnees en time,nlevel pour profil initial
-       case(47) ; pp=resul
-       case(48) ; temp=resul
-       case(49) ; theta=resul
-       case(50) ; thv=resul
-       case(51) ; thl=resul
-       case(52) ; qv=resul
-       case(53) ; ql=resul
-       case(54) ; qi=resul
-       case(55) ; rv=resul
-       case(56) ; u=resul
-       case(57) ; v=resul
-       case(58) ; invtau_temp_nudg=resul
-       case(59) ; invtau_qv_nudg=resul
-       case(60) ; invtau_u_nudg=resul
-       case(61) ; invtau_v_nudg=resul
-       case(62) ; tkes=resul2   ! donnees indexees en time
-       case(63) ; sens=resul2
-       case(64) ; flat=resul2
-       case(65) ; ts=resul2
-       case(66) ; tskin=resul2        
-       case(67) ; ps=resul2
-       case(68) ; ustar=resul2
-       case(69) ; orog_cas=resul3      ! constantes
-       case(70) ; albedo_cas=resul3
-       case(71) ; emiss_cas=resul3
-       case(72) ; q_skin_cas=resul3
-       case(73) ; mom_rough=resul3
-       case(74) ; heat_rough=resul3
-       case(75) ; o3_cas=resul3        
-       case(76) ; rugos_cas=resul3
-       case(77) ; clay_cas=resul3
-       case(78) ; sand_cas=resul3
-       end select
-       resul=0.
-       resul1=0.
-       resul2=0.
-       resul3=0.
+          PRINT*, 'Lecture de la variable #i ', i, name_var(i), minval(resul), maxval(resul)
+
+          !-----------------------------------------------------------------------
+          !  Reading 1D time variables (time,lat,lon)
+          !-----------------------------------------------------------------------
+        ELSE IF (i>62.AND.i<=75) THEN
+          ierr = nf90_get_var(nid, var3didin(i), resul2)
+          print *, 'read_SCM(resul2), on a lu ', i, name_var(i)
+          IF(ierr/=nf90_noerr) THEN
+            print *, 'E Pb a la lecture de cas.nc: ', name_var(i)
+            stop "getvarup"
+          endif
+          PRINT*, 'Lecture de la variable #i  ', i, name_var(i), minval(resul2), maxval(resul2)
+
+          !-----------------------------------------------------------------------
+          ! Reading scalar variables (lat,lon)
+          !-----------------------------------------------------------------------
+        else
+          ierr = nf90_get_var(nid, var3didin(i), resul3)
+          print *, 'read_SCM(resul3), on a lu ', i, name_var(i)
+          IF(ierr/=nf90_noerr) THEN
+            print *, 'F Pb a la lecture de cas.nc: ', name_var(i)
+            stop "getvarup"
+          endif
+          PRINT*, 'Lecture de la variable #i ', i, name_var(i), resul3
+        endif
+      endif
+
+      !-----------------------------------------------------------------------
+      ! Attributing variables
+      !-----------------------------------------------------------------------
+      select case(i)
+        !case(1) ; ap=apbp       ! donnees indexees en nlevel+1
+        ! case(2) ; bp=apbp
+      case(3) ; zzh = apbp
+      case(4) ; pph = apbp
+      case(5) ; temp0 = resul1    ! donnees initiales
+      case(6) ; qv0 = resul1
+      case(7) ; ql0 = resul1
+      case(8) ; qi0 = resul1
+      case(9) ; u0 = resul1
+      case(10) ; v0 = resul1
+      case(11) ; tke0 = resul1
+      case(12) ; pp0 = resul1
+      case(13) ; vitw = resul    ! donnees indexees en nlevel,time
+      case(14) ; omega = resul
+      case(15) ; ug = resul
+      case(16) ; vg = resul
+      case(17) ; du = resul
+      case(18) ; hu = resul
+      case(19) ; vu = resul
+      case(20) ; dv = resul
+      case(21) ; hv = resul
+      case(22) ; vv = resul
+      case(23) ; dt = resul
+      case(24) ; ht = resul
+      case(25) ; vt = resul
+      case(26) ; dq = resul
+      case(27) ; hq = resul
+      case(28) ; vq = resul
+      case(29) ; dth = resul
+      case(30) ; hth = resul
+      case(31) ; vth = resul
+      case(32) ; hthl = resul
+      case(33) ; dr = resul
+      case(34) ; hr = resul
+      case(35) ; vr = resul
+      case(36) ; dtrad = resul
+      case(37) ; q1 = resul
+      case(38) ; q2 = resul
+      case(39) ; uw = resul
+      case(40) ; vw = resul
+      case(41) ; rh = resul
+      case(42) ; temp_nudg = resul
+      case(43) ; qv_nudg = resul
+      case(44) ; u_nudg = resul
+      case(45) ; v_nudg = resul
+      case(46) ; zz = resul      ! donnees en time,nlevel pour profil initial
+      case(47) ; pp = resul
+      case(48) ; temp = resul
+      case(49) ; theta = resul
+      case(50) ; thv = resul
+      case(51) ; thl = resul
+      case(52) ; qv = resul
+      case(53) ; ql = resul
+      case(54) ; qi = resul
+      case(55) ; rv = resul
+      case(56) ; u = resul
+      case(57) ; v = resul
+      case(58) ; invtau_temp_nudg = resul
+      case(59) ; invtau_qv_nudg = resul
+      case(60) ; invtau_u_nudg = resul
+      case(61) ; invtau_v_nudg = resul
+      case(62) ; tkes = resul2   ! donnees indexees en time
+      case(63) ; sens = resul2
+      case(64) ; flat = resul2
+      case(65) ; ts = resul2
+      case(66) ; tskin = resul2
+      case(67) ; ps = resul2
+      case(68) ; ustar = resul2
+      case(69) ; orog_cas = resul3      ! constantes
+      case(70) ; albedo_cas = resul3
+      case(71) ; emiss_cas = resul3
+      case(72) ; q_skin_cas = resul3
+      case(73) ; mom_rough = resul3
+      case(74) ; heat_rough = resul3
+      case(75) ; o3_cas = resul3
+      case(76) ; rugos_cas = resul3
+      case(77) ; clay_cas = resul3
+      case(78) ; sand_cas = resul3
+      end select
+      resul = 0.
+      resul1 = 0.
+      resul2 = 0.
+      resul3 = 0.
     enddo
-    PRINT*,'Lecture de la variable APRES ,sens ',minval(sens),maxval(sens)
-    PRINT*,'Lecture de la variable APRES ,flat ',minval(flat),maxval(flat)
+    PRINT*, 'Lecture de la variable APRES ,sens ', minval(sens), maxval(sens)
+    PRINT*, 'Lecture de la variable APRES ,flat ', minval(flat), maxval(flat)
 
     !CR:ATTENTION EN ATTENTE DE REGLER LA QUESTION DU PAS DE TEMPS INITIAL
-    do t=1,ntime
-       do k=1,nlevel
-          temp(k,t)=temp0(k)
-          qv(k,t)=qv0(k)
-          ql(k,t)=ql0(k)
-          qi(k,t)=qi0(k)
-          u(k,t)=u0(k)
-          v(k,t)=v0(k)
-          tke(k,t)=tke0(k)
-       enddo
+    do t = 1, ntime
+      do k = 1, nlevel
+        temp(k, t) = temp0(k)
+        qv(k, t) = qv0(k)
+        ql(k, t) = ql0(k)
+        qi(k, t) = qi0(k)
+        u(k, t) = u0(k)
+        v(k, t) = v0(k)
+        tke(k, t) = tke0(k)
+      enddo
     enddo
-!!!! TRAVAIL : EN FONCTION DES DECISIONS SUR LA SPECIFICATION DE W
-!!!omega=-vitw*pres*rg/(rd*temp)
+    !!!! TRAVAIL : EN FONCTION DES DECISIONS SUR LA SPECIFICATION DE W
+    !!!omega=-vitw*pres*rg/(rd*temp)
     !-----------------------------------------------------------------------
-
 
   END SUBROUTINE read_SCM
@@ -628,33 +619,28 @@
 
   !**********************************************************************************************
-  SUBROUTINE interp_case_time_std(day,day1,annee_ref                           &
-       !    &         ,year_cas,day_cas,nt_cas,pdt_forc,nlev_cas                         &
-       ,nt_cas,nlev_cas                                                   &
-       ,ts_cas,tskin_cas,ps_cas,plev_cas,t_cas,theta_cas,thv_cas,thl_cas            &
-       ,qv_cas,ql_cas,qi_cas,u_cas,v_cas                                  &
-       ,ug_cas,vg_cas,temp_nudg_cas,qv_nudg_cas,u_nudg_cas,v_nudg_cas     &
-       ,invtau_temp_nudg_cas,invtau_qv_nudg_cas,invtau_u_nudg_cas,invtau_v_nudg_cas     &
-       ,vitw_cas,omega_cas,tke_cas,du_cas,hu_cas,vu_cas             &
-       ,dv_cas,hv_cas,vv_cas,dt_cas,ht_cas,vt_cas,dtrad_cas               &
-       ,dq_cas,hq_cas,vq_cas,dth_cas,hth_cas,vth_cas                      &
-       ,lat_cas,sens_cas,ustar_cas                                        &
-       ,uw_cas,vw_cas,q1_cas,q2_cas,tkes_cas                               &
-
-       ,ts_prof_cas,tskin_prof_cas,ps_prof_cas,plev_prof_cas,t_prof_cas,theta_prof_cas               &
-       ,thv_prof_cas,thl_prof_cas,qv_prof_cas,ql_prof_cas,qi_prof_cas     &
-       ,u_prof_cas,v_prof_cas,ug_prof_cas,vg_prof_cas                     &
-       ,temp_nudg_prof_cas,qv_nudg_prof_cas,u_nudg_prof_cas,v_nudg_prof_cas     &
-       ,invtau_temp_nudg_prof_cas,invtau_qv_nudg_prof_cas,invtau_u_nudg_prof_cas,invtau_v_nudg_prof_cas     &     
-       ,vitw_prof_cas,omega_prof_cas,tke_prof_cas,du_prof_cas,hu_prof_cas,vu_prof_cas  &
-       ,dv_prof_cas,hv_prof_cas,vv_prof_cas,dt_prof_cas                   &
-       ,ht_prof_cas,vt_prof_cas,dtrad_prof_cas,dq_prof_cas                &
-       ,hq_prof_cas,vq_prof_cas,dth_prof_cas,hth_prof_cas,vth_prof_cas    &
-       ,lat_prof_cas,sens_prof_cas                                        &
-       ,ustar_prof_cas,uw_prof_cas,vw_prof_cas,q1_prof_cas,q2_prof_cas,tkes_prof_cas)
-
-
-
-
-
+  SUBROUTINE interp_case_time_std(day, day1, annee_ref                           &
+          !    &         ,year_cas,day_cas,nt_cas,pdt_forc,nlev_cas                         &
+          , nt_cas, nlev_cas                                                   &
+          , ts_cas, tskin_cas, ps_cas, plev_cas, t_cas, theta_cas, thv_cas, thl_cas            &
+          , qv_cas, ql_cas, qi_cas, u_cas, v_cas                                  &
+          , ug_cas, vg_cas, temp_nudg_cas, qv_nudg_cas, u_nudg_cas, v_nudg_cas     &
+          , invtau_temp_nudg_cas, invtau_qv_nudg_cas, invtau_u_nudg_cas, invtau_v_nudg_cas     &
+          , vitw_cas, omega_cas, tke_cas, du_cas, hu_cas, vu_cas             &
+          , dv_cas, hv_cas, vv_cas, dt_cas, ht_cas, vt_cas, dtrad_cas               &
+          , dq_cas, hq_cas, vq_cas, dth_cas, hth_cas, vth_cas                      &
+          , lat_cas, sens_cas, ustar_cas                                        &
+          , uw_cas, vw_cas, q1_cas, q2_cas, tkes_cas                               &
+
+          , ts_prof_cas, tskin_prof_cas, ps_prof_cas, plev_prof_cas, t_prof_cas, theta_prof_cas               &
+          , thv_prof_cas, thl_prof_cas, qv_prof_cas, ql_prof_cas, qi_prof_cas     &
+          , u_prof_cas, v_prof_cas, ug_prof_cas, vg_prof_cas                     &
+          , temp_nudg_prof_cas, qv_nudg_prof_cas, u_nudg_prof_cas, v_nudg_prof_cas     &
+          , invtau_temp_nudg_prof_cas, invtau_qv_nudg_prof_cas, invtau_u_nudg_prof_cas, invtau_v_nudg_prof_cas     &
+          , vitw_prof_cas, omega_prof_cas, tke_prof_cas, du_prof_cas, hu_prof_cas, vu_prof_cas  &
+          , dv_prof_cas, hv_prof_cas, vv_prof_cas, dt_prof_cas                   &
+          , ht_prof_cas, vt_prof_cas, dtrad_prof_cas, dq_prof_cas                &
+          , hq_prof_cas, vq_prof_cas, dth_prof_cas, hth_prof_cas, vth_prof_cas    &
+          , lat_prof_cas, sens_prof_cas                                        &
+          , ustar_prof_cas, uw_prof_cas, vw_prof_cas, q1_prof_cas, q2_prof_cas, tkes_prof_cas)
 
     IMPLICIT NONE
@@ -665,5 +651,5 @@
     ! day: current julian day (e.g. 717538.2)
     ! day1: first day of the simulation
-    ! nt_cas: total nb of data in the forcing 
+    ! nt_cas: total nb of data in the forcing
     ! pdt_cas: total time interval (in sec) between 2 forcing data
     !---------------------------------------------------------------------------------------
@@ -674,57 +660,56 @@
     ! inputs:
     INTEGER annee_ref
-    INTEGER nt_cas,nlev_cas
-    REAL day, day1,day_cas
-    REAL ts_cas(nt_cas),tskin_cas(nt_cas),ps_cas(nt_cas)
-    REAL plev_cas(nlev_cas,nt_cas)
-    REAL t_cas(nlev_cas,nt_cas),theta_cas(nlev_cas,nt_cas)
-    REAL thv_cas(nlev_cas,nt_cas), thl_cas(nlev_cas,nt_cas)
-    REAL qv_cas(nlev_cas,nt_cas),ql_cas(nlev_cas,nt_cas),qi_cas(nlev_cas,nt_cas)
-    REAL u_cas(nlev_cas,nt_cas),v_cas(nlev_cas,nt_cas)
-    REAL ug_cas(nlev_cas,nt_cas),vg_cas(nlev_cas,nt_cas)
-    REAL temp_nudg_cas(nlev_cas,nt_cas),qv_nudg_cas(nlev_cas,nt_cas)
-    REAL u_nudg_cas(nlev_cas,nt_cas),v_nudg_cas(nlev_cas,nt_cas)
-
-    REAL invtau_temp_nudg_cas(nlev_cas,nt_cas),invtau_qv_nudg_cas(nlev_cas,nt_cas)
-    REAL invtau_u_nudg_cas(nlev_cas,nt_cas),invtau_v_nudg_cas(nlev_cas,nt_cas)
-
-    REAL vitw_cas(nlev_cas,nt_cas),omega_cas(nlev_cas,nt_cas),tke_cas(nlev_cas,nt_cas)
-    REAL du_cas(nlev_cas,nt_cas),hu_cas(nlev_cas,nt_cas),vu_cas(nlev_cas,nt_cas)
-    REAL dv_cas(nlev_cas,nt_cas),hv_cas(nlev_cas,nt_cas),vv_cas(nlev_cas,nt_cas)
-    REAL dt_cas(nlev_cas,nt_cas),ht_cas(nlev_cas,nt_cas),vt_cas(nlev_cas,nt_cas)
-    REAL dth_cas(nlev_cas,nt_cas),hth_cas(nlev_cas,nt_cas),vth_cas(nlev_cas,nt_cas)
-    REAL dtrad_cas(nlev_cas,nt_cas)
-    REAL dq_cas(nlev_cas,nt_cas),hq_cas(nlev_cas,nt_cas),vq_cas(nlev_cas,nt_cas)
-    REAL lat_cas(nt_cas),sens_cas(nt_cas),tkes_cas(nt_cas)
-    REAL ustar_cas(nt_cas),uw_cas(nlev_cas,nt_cas),vw_cas(nlev_cas,nt_cas)
-    REAL q1_cas(nlev_cas,nt_cas),q2_cas(nlev_cas,nt_cas)
+    INTEGER nt_cas, nlev_cas
+    REAL day, day1, day_cas
+    REAL ts_cas(nt_cas), tskin_cas(nt_cas), ps_cas(nt_cas)
+    REAL plev_cas(nlev_cas, nt_cas)
+    REAL t_cas(nlev_cas, nt_cas), theta_cas(nlev_cas, nt_cas)
+    REAL thv_cas(nlev_cas, nt_cas), thl_cas(nlev_cas, nt_cas)
+    REAL qv_cas(nlev_cas, nt_cas), ql_cas(nlev_cas, nt_cas), qi_cas(nlev_cas, nt_cas)
+    REAL u_cas(nlev_cas, nt_cas), v_cas(nlev_cas, nt_cas)
+    REAL ug_cas(nlev_cas, nt_cas), vg_cas(nlev_cas, nt_cas)
+    REAL temp_nudg_cas(nlev_cas, nt_cas), qv_nudg_cas(nlev_cas, nt_cas)
+    REAL u_nudg_cas(nlev_cas, nt_cas), v_nudg_cas(nlev_cas, nt_cas)
+
+    REAL invtau_temp_nudg_cas(nlev_cas, nt_cas), invtau_qv_nudg_cas(nlev_cas, nt_cas)
+    REAL invtau_u_nudg_cas(nlev_cas, nt_cas), invtau_v_nudg_cas(nlev_cas, nt_cas)
+
+    REAL vitw_cas(nlev_cas, nt_cas), omega_cas(nlev_cas, nt_cas), tke_cas(nlev_cas, nt_cas)
+    REAL du_cas(nlev_cas, nt_cas), hu_cas(nlev_cas, nt_cas), vu_cas(nlev_cas, nt_cas)
+    REAL dv_cas(nlev_cas, nt_cas), hv_cas(nlev_cas, nt_cas), vv_cas(nlev_cas, nt_cas)
+    REAL dt_cas(nlev_cas, nt_cas), ht_cas(nlev_cas, nt_cas), vt_cas(nlev_cas, nt_cas)
+    REAL dth_cas(nlev_cas, nt_cas), hth_cas(nlev_cas, nt_cas), vth_cas(nlev_cas, nt_cas)
+    REAL dtrad_cas(nlev_cas, nt_cas)
+    REAL dq_cas(nlev_cas, nt_cas), hq_cas(nlev_cas, nt_cas), vq_cas(nlev_cas, nt_cas)
+    REAL lat_cas(nt_cas), sens_cas(nt_cas), tkes_cas(nt_cas)
+    REAL ustar_cas(nt_cas), uw_cas(nlev_cas, nt_cas), vw_cas(nlev_cas, nt_cas)
+    REAL q1_cas(nlev_cas, nt_cas), q2_cas(nlev_cas, nt_cas)
 
     ! outputs:
     REAL plev_prof_cas(nlev_cas)
-    REAL t_prof_cas(nlev_cas),theta_prof_cas(nlev_cas),thl_prof_cas(nlev_cas),thv_prof_cas(nlev_cas)
-    REAL qv_prof_cas(nlev_cas),ql_prof_cas(nlev_cas),qi_prof_cas(nlev_cas)
-    REAL u_prof_cas(nlev_cas),v_prof_cas(nlev_cas)
-    REAL ug_prof_cas(nlev_cas),vg_prof_cas(nlev_cas)
-    REAL temp_nudg_prof_cas(nlev_cas),qv_nudg_prof_cas(nlev_cas)
-    REAL u_nudg_prof_cas(nlev_cas),v_nudg_prof_cas(nlev_cas)
-
-    REAL invtau_temp_nudg_prof_cas(nlev_cas),invtau_qv_nudg_prof_cas(nlev_cas)
-    REAL invtau_u_nudg_prof_cas(nlev_cas),invtau_v_nudg_prof_cas(nlev_cas)
-
-    REAL vitw_prof_cas(nlev_cas),omega_prof_cas(nlev_cas),tke_prof_cas(nlev_cas)
-    REAL du_prof_cas(nlev_cas),hu_prof_cas(nlev_cas),vu_prof_cas(nlev_cas)
-    REAL dv_prof_cas(nlev_cas),hv_prof_cas(nlev_cas),vv_prof_cas(nlev_cas)
-    REAL dt_prof_cas(nlev_cas),ht_prof_cas(nlev_cas),vt_prof_cas(nlev_cas)
-    REAL dth_prof_cas(nlev_cas),hth_prof_cas(nlev_cas),vth_prof_cas(nlev_cas)
+    REAL t_prof_cas(nlev_cas), theta_prof_cas(nlev_cas), thl_prof_cas(nlev_cas), thv_prof_cas(nlev_cas)
+    REAL qv_prof_cas(nlev_cas), ql_prof_cas(nlev_cas), qi_prof_cas(nlev_cas)
+    REAL u_prof_cas(nlev_cas), v_prof_cas(nlev_cas)
+    REAL ug_prof_cas(nlev_cas), vg_prof_cas(nlev_cas)
+    REAL temp_nudg_prof_cas(nlev_cas), qv_nudg_prof_cas(nlev_cas)
+    REAL u_nudg_prof_cas(nlev_cas), v_nudg_prof_cas(nlev_cas)
+
+    REAL invtau_temp_nudg_prof_cas(nlev_cas), invtau_qv_nudg_prof_cas(nlev_cas)
+    REAL invtau_u_nudg_prof_cas(nlev_cas), invtau_v_nudg_prof_cas(nlev_cas)
+
+    REAL vitw_prof_cas(nlev_cas), omega_prof_cas(nlev_cas), tke_prof_cas(nlev_cas)
+    REAL du_prof_cas(nlev_cas), hu_prof_cas(nlev_cas), vu_prof_cas(nlev_cas)
+    REAL dv_prof_cas(nlev_cas), hv_prof_cas(nlev_cas), vv_prof_cas(nlev_cas)
+    REAL dt_prof_cas(nlev_cas), ht_prof_cas(nlev_cas), vt_prof_cas(nlev_cas)
+    REAL dth_prof_cas(nlev_cas), hth_prof_cas(nlev_cas), vth_prof_cas(nlev_cas)
     REAL dtrad_prof_cas(nlev_cas)
-    REAL dq_prof_cas(nlev_cas),hq_prof_cas(nlev_cas),vq_prof_cas(nlev_cas)
-    REAL lat_prof_cas,sens_prof_cas,tkes_prof_cas,ts_prof_cas,tskin_prof_cas,ps_prof_cas,ustar_prof_cas
-    REAL uw_prof_cas(nlev_cas),vw_prof_cas(nlev_cas),q1_prof_cas(nlev_cas),q2_prof_cas(nlev_cas)
+    REAL dq_prof_cas(nlev_cas), hq_prof_cas(nlev_cas), vq_prof_cas(nlev_cas)
+    REAL lat_prof_cas, sens_prof_cas, tkes_prof_cas, ts_prof_cas, tskin_prof_cas, ps_prof_cas, ustar_prof_cas
+    REAL uw_prof_cas(nlev_cas), vw_prof_cas(nlev_cas), q1_prof_cas(nlev_cas), q2_prof_cas(nlev_cas)
     ! local:
-    INTEGER it_cas1, it_cas2,k
-    REAL timeit,time_cas1,time_cas2,frac
-
-
-    PRINT*,'Check time',day1,day_ju_ini_cas,day_deb+1,pdt_cas
+    INTEGER it_cas1, it_cas2, k
+    REAL timeit, time_cas1, time_cas2, frac
+
+    PRINT*, 'Check time', day1, day_ju_ini_cas, day_deb + 1, pdt_cas
     !       do k=1,nlev_cas
     !       PRINT*,'debut de interp2_case_time, plev_cas=',k,plev_cas(k,1)
@@ -761,10 +746,10 @@
     !        timeit=(day+61.-1.)*86400. ! 61 days between Nov01 and Dec31 1992
     !       endif
-    timeit=(day-day_ju_ini_cas)*86400
-    print *,'day=',day
-    print *,'day_ju_ini_cas=',day_ju_ini_cas
-    print *,'pdt_cas=',pdt_cas
-    print *,'timeit=',timeit
-    print *,'nt_cas=',nt_cas
+    timeit = (day - day_ju_ini_cas) * 86400
+    print *, 'day=', day
+    print *, 'day_ju_ini_cas=', day_ju_ini_cas
+    print *, 'pdt_cas=', pdt_cas
+    print *, 'timeit=', timeit
+    print *, 'nt_cas=', nt_cas
 
     ! Determine the closest observation times:
